// Water.fp
// Water Curve Fragment Shader
// Eric Green

// vectors are interpolated between verticies
uniform vec3 vWave;				//This is the wave data we are getting passed in
varying vec3 vNormal;				// Surface normal
varying vec3 vHalfVector;			// Half vector
varying vec3 vLight;				// To the light from vertex
uniform float fTime;		
varying vec4 vColor;

uniform sampler1D toonTexture;  // Toon lookup table

void main(void)
   {
   float brightness  = max(0.0, dot(normalize(vNormal), normalize(vLight)));
   //vColor = vec4(0.0, 0.0,1.0,0.9);
   gl_FragColor = normalize(vColor);
   }
